New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

SOLR core not created #1249

Closed
MarkWittens opened this Issue Oct 16, 2018 · 4 comments

Comments

Projects
None yet
4 participants
@MarkWittens
Copy link

MarkWittens commented Oct 16, 2018

Tell us about your setup
Lando v3.0.0-rc.1 on Mac OS HighSierra

Tell us about your .lando.yml

name: mysite
recipe: drupal8
config:
  webroot: ./public_html
  xdebug: true
  php: 7.1
proxy:
  appserver:
    - mysite.lndo.site
    - mysite.192.168.100.*.xip.io
  mailhog:
    - mail.mysite.lndo.site
  solr:
  - solr.lndo.site:8983
services:
  database:
    type: mysql:5.7
    creds:
      database: local_mysite
  mailhog:
    type: mailhog
    hogfrom:
      - appserver
  solr:
    type: solr:7.1
    core: solr
    config:
      conf: ./public_html/modules/contrib/search_api_solr/solr-conf/7.x

Tell us generally about your bug
SOLR instance is created but without a core, when I try to add a core manually I get an error:

Error CREATEing SolrCore 'new_core': Unable to create core [new_core] Caused by: Can't find resource 'solrconfig.xml' in classpath or '/opt/solr/server/solr/new_core'

Tell us more
This has worked before with the same config. Not sure what version of Lando it was.

@zuernBernhard

This comment has been minimized.

Copy link

zuernBernhard commented Oct 16, 2018

I had a quite similar problem. But with solr 6.3 its working. I would suggest to not directly use the solr-config from search_api module as it will be overridden on updating the module.

Just copy it into a directory like /misc/solr6/conf in your repo and modify the config:

config:
      conf: misc/solr6/conf

I'm using Lando v3.0.0-rc.1 on Mac OS HighSierra with Drupal 7 and current Search-API-Module.

@MarkWittens

This comment has been minimized.

Copy link
Author

MarkWittens commented Oct 31, 2018

Using 6.3 works indeed, thanks @zuernBernhard! I also used your suggestion to copy the config instead of using it directly from the module path, thanks for the tip!

@nicrodgers

This comment has been minimized.

Copy link

nicrodgers commented Nov 14, 2018

Same problem for me with solr 6.5 - permission errors trying to create the core

@pirog pirog self-assigned this Jan 28, 2019

@pirog pirog added this to the 3.0.0-rc.2 milestone Jan 28, 2019

pirog added a commit that referenced this issue Jan 29, 2019

pirog added a commit that referenced this issue Jan 29, 2019

@pirog pirog closed this Jan 29, 2019

pirog added a commit that referenced this issue Jan 29, 2019

pirog added a commit that referenced this issue Jan 30, 2019

pirog added a commit that referenced this issue Jan 30, 2019

pirog added a commit that referenced this issue Jan 30, 2019

pirog added a commit that referenced this issue Jan 30, 2019

@pirog

This comment has been minimized.

Copy link
Member

pirog commented Jan 30, 2019

We've got some nice tests and an example to verify this now.
https://github.com/lando/lando/tree/master/examples/solr

Note that these examples and tests are against RC2 which is yet to be released so its worth waiting for that before you verify on your own

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment